<?php
session_start();

// ecrit par Nicolas Leurette (nicolas.leurette@gmail.com) mais surement inspité de plein d'autres 
// licence GPL V2

// fixe le niveau de rapport d'erreur
if (version_compare(phpversion(), '5.3.0', '>=') == 1)
  error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);
else
  error_reporting(E_ALL & ~E_NOTICE);

function bytesToSize1024($bytes, $precision = 2) {
    $unit = array('B','KB','MB');
    return @round($bytes / pow(1024, ($i = floor(log($bytes, 1024)))), $precision).' '.$unit[$i];
}

$rand=date("YmdHis").rand(0,9999);
$error='';
$imagename="";
if(@$_FILES["fichier"])
{
	$rep="photos";
	$picture=@$_FILES['fichier']['tmp_name'];
	$imagename=basename($_FILES['fichier']['name']);
	//Charmement de la taille
	list($width, $height, $image_type) = getimagesize($picture);
	switch ($image_type)
        {
        	case 1: $image_src = imagecreatefromgif($picture); break;
                case 2: $image_src = imagecreatefromjpeg($picture);  break;
                case 3: $image_src = imagecreatefrompng($picture); break;
                default: $error='Ce ficher n\'est pas une image valide (gif, jpeg, png)';  break;
        }
	if($error=='')
        {
		
		$imagesize=getimagesize($picture) or ($erreur="Erreur traitement image!!!");
		//On verifie la taille du fichier
		if($imagesize[0]>1600 || $imagesize[1] >1600)
		{
			//l'image est trop grande il faut la redimentionner
			$resize=true;
			if($imagesize[0]<=$imagesize[1])
                        {
                                $sizedest[1]=1200;
                                $sizedest[0]=$imagesize[0]*($sizedest[1]/$imagesize[1]);
                        }else
                        {
                                $sizedest[0]=1600;
                                $sizedest[1]=$imagesize[1]*($sizedest[0]/$imagesize[0]);
                        }
			$image_dst=imagecreatetruecolor($sizedest[0],$sizedest[1]) or ($erreur.="Erreur traitement image2!!!");
                        imagecopyresampled($image_dst,$image_src,0,0,0,0,$sizedest[0],$sizedest[1],$imagesize[0],$imagesize[1]) or ($erreur.="Erreur traitement image4!!!");
                        imagejpeg($image_dst,"photos"."/".$rand.".JPG") or ($erreur.="Erreur traitement image5!!!");

			}else
			{
				//la taille est acceptable
				$resize=false;
				$image_dst=imagecreatetruecolor($imagesize[0],$imagesize[1]) or ($erreur."Erreur traitement image!!!");
				imagecopy($image_dst,$image_src,0,0,0,0,$imagesize[0],$imagesize[1]) or ($erreur.="Erreur traitement image!!!");
				imagejpeg($image_dst,"photos"."/".$rand.".JPG") or ($erreur.="Erreur traitement image!!!");
			}
			//
			//---> nouveau modei
			
	                if(file_exists($rep.'/mini')!=TRUE)
	                {
	                        mkdir($rep.'/mini', 0777);
	                }
	                if(file_exists($rep.'/moyen')!=TRUE)
	                {
	                        mkdir($rep.'/moyen', 0777);
	                }
	                if(!file_exists($rep.'/mini/'.$rand.".JPG")||is_writable($rep.'/mini/'.$rand.".JPG"))
	                {
	                        $imagesize=getimagesize($rep.'/'.$rand.".JPG") or ($erreur.="Erreur traitement image3!!!");
	                        $image_src = imagecreatefromjpeg($rep.'/'.$rand.".JPG");
	                        if($imagesize[0]<=$imagesize[1])
	                        {
	                                $sizedest[1]=120;
	                                $sizedest[0]=$imagesize[0]*($sizedest[1]/$imagesize[1]);
				}else
			        {
			                $sizedest[0]=160;
			                $sizedest[1]=$imagesize[1]*($sizedest[0]/$imagesize[0]);
			        }
			        $image_dst=imagecreatetruecolor($sizedest[0],$sizedest[1]) or ($erreur.="Erreur traitement image2!!!");
				imagecopyresampled($image_dst,$image_src,0,0,0,0,$sizedest[0],$sizedest[1],$imagesize[0],$imagesize[1]) or ($erreur.="Erreur traitement image4!!!");
				imagejpeg($image_dst,$rep."/mini/".$rand.".JPG") or ($erreur.="Erreur traitement image5!!!");
			}
		}
}
if($error=='')	
{
	//historisation
 	$date=" Le ".date("d/m/Y à H:i:s");
 	$link = "<a href=http://img.pccreation.net/"."photos"."/".$rand.".JPG>".$rand."</a>";
 	system("echo \" ip ".$_SERVER["REMOTE_ADDR"]." image : ".$link.$date."<br>\" >> logbeta.htm");

	//mise à jour du tableau
	echo "\n\t<div class=\"s\">";
	echo "\n\t\t<div class=\"imageName\">$imagename</div>";
	echo "\n\t\t<div class=\"image\">";
	echo "\n\t\t\t<div class=\"imageMini\"> ";
	echo "\n\t\t\t\t<img class=\"miniature\" id=\"$rand\" src=\"photos"."/mini/".$rand.".JPG\"> ";
	echo "\n\t\t\t</div>";
	echo "\n\t\t\t<div class=\"rotateleft\">";
	echo "\n\t\t\t\t<a href=\"#\" onclick=\"rotate('$rand','left');\"> ";
	echo "\n\t\t\t\t\t<img id=$rand src=\"img/object-rotate-left.png\" alt=\"Rotation vers la gauche\"> ";
	echo "\n\t\t\t\t</a>";
	echo "\n\t\t\t</div>";
	echo "\n\t\t\t<div class=\"rotateright\">";
	echo "\n\t\t\t\t<a href=\"#\" onclick=\"rotate('$rand','right');\"> ";
	echo "\n\t\t\t\t\t<img  src=\"img/object-rotate-right.png\" alt=\"Rotation vers la droite\"> ";
	echo "\n\t\t\t\t</a>";
	echo "\n\t\t\t</div>";
// 	echo "\n\t\t\t<div class=\"copyimg\">";
// 	echo "\n\t\t\t\t<a href=\"?rotate=right&rand=$rand\" alt=\"Copier vers le presse-papier\"> ";
// 	echo "\n\t\t\t\t\t<img  src=\"img/edit-copy.png\" alt=\"Copier vers le presse-papier\"> ";
// 	echo "\n\t\t\t\t</a>";
// 	echo "\n\t\t\t</div>";
	echo "\n\t\t</div>";
	echo "\n\t\t<div class=\"imageinfo\">";
	echo "\n\t\t\t<li><a target=_blank href=\"http://img.pccreation.net/photos/$rand.JPG\">Emplacement de votre image</a>";
	echo "\n\t\t\t<li><a target=_blank href=\"http://img.pccreation.net/photos/mini/$rand.JPG\">Emplacement de votre image miniature</a>";
	$htmlCode="[img]http://img.pccreation.net/"."photos"."/".$rand.".JPG"."[/img]";
	echo "\n\t\t\t<li>Texte à copier sur la plupart des forums :<br>";
	echo "\n\t\t\t<TEXTAREA name=dm>".$htmlCode."</TEXTAREA></font>";
	echo "\n\t\t</div>";
	echo "\n\t</div>";

	//mise à jour du bbcode
	if(!isset($_SESSION["bbcode"]))$_SESSION["bbcode"]=array();
	$array["url"]="http://img.pccreation.net/"."photos"."/".$rand.".JPG";
	$array["mini"]="http://img.pccreation.net/"."photos"."/mini/".$rand.".JPG";
	$array["name"]=$imagename;
	array_push($_SESSION["bbcode"],$array);

 



} else {
	echo "\n\t<div class=\"f\">";
	echo "\n\t\t<div class=\"imageName\">$imagename</div>";
	echo "\n\t\tUne erreur s'est produite : $error";
	echo "\n\t</div>";
}
?>
<script src="js/script.js"></script>

<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="9HN2VZNLYADLJ">
<input type="image" src="https://www.paypalobjects.com/fr_FR/FR/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal, le réflexe sécurité pour payer en ligne">
<img alt="" border="0" src="https://www.paypalobjects.com/fr_FR/i/scr/pixel.gif" width="1" height="1">
</form>

